# frozen_string_literal: true

require_relative '../base_command'

module Sambot
  module Tasks
    class Test < BaseCommand

      no_commands do

        def run(options)
          Sambot::Tasks::Up.new.run(options)
          `chef exec kitchen test`
          Sambot::Tasks::Down.new.run(options)
        end

      end

    end
  end
end
