module TeamCity
  class Client

    module Projects

      def find_project_by_name(name)
        projects = ::TeamCity.projects
        projects.find { |project| project.name.match(name) }
      end

      def project_templates(options)
        assert_options(options)
        request = "projects/#{locator(options)}/templates"
        response = get(request)
        response['buildType']
      end

    end

  end
end
