# frozen_string_literal: true

require_relative '../base_command'

module Sambot
  module Tasks
    class Populate < BaseCommand

      no_commands do

        def run(options)
          config = Config.read
          #Sambot::Testing::DataBagsHelper.import_databags
          Sambot::Testing::VaultHelper.setup
          Sambot::Testing::VaultHelper.load_secrets(config)
          Sambot::Testing::ConsulHelper.load_values(config)
        end

      end

    end
  end
end
